audits from db:seed should be ignored

02/22/2018 09:01 AM - roman plevka

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Audit Log   

Target version: 1.18.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5268

  

Description

Apparently, the katello audits are not ignored while preseeding the db as they are shown in the UI after a fresh katello installation.

Associated revisions

Revision 64d9dd55 - 02/25/2018 02:39 PM - Marek Hulán

Fixes #22654 - ignore filters created by plugin DSL

History

#1 - 02/22/2018 09:17 AM - Marek Hulán

- Subject changed from [katello] audits from db:seed should be ignored to audits from db:seed should be ignored

- Assignee set to Marek Hulán

In fact this is a problem in Foreman plugin DSL that does not ignore auditing when it modifies core roles. Katello is just one of plugins that uses that

dsl.

#2 - 02/22/2018 09:19 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5268 added

#3 - 02/25/2018 02:41 PM - Tomer Brisker

- translation missing: en.field_release set to 330

#4 - 02/25/2018 03:01 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 64d9dd55e136145c4ec74589a518563245f603c2.
